jQuery.fn.extend({
	slipSlap: function(options) {
		var o = $.extend({
			speedOver: 100,	// speed of the mouseover effect
			speedOut: 100,  // speed of the mouseout effect
			opacity: '1',	  // opacity of the menu  
			spanWidth: '78',	// button width
			spanHeight: '40',	// button height
			SlipAmount: '4',	// how far down a button slips
			easeHover: 'easeOutBounce', // animation ease on hover
			easeOut: 'swing' // animation ease on out
		}, options);
		
		$(this).each(function() {
			var element = "#" + this.id + " li a";
			var sUp, sDown;
			sUp = "+="+o.SlipAmount;
			sDown = "-=" + String(Number(o.SlipAmount) * 2);
			selected = String(Number(o.spanHeight) + Number(o.SlipAmount));
			$(this).css("opacity", o.opacity);
			$(element).css("width", o.spanWidth+"px");
			
			var list_element = "#" + this.id + " li";
			if ($(list_element).hasClass("buttonSelected")) {
				$(".buttonSelected a").css("height",selected+"px");
				$(".buttonSelected a").addClass("buttonSelected");
			}
			else {
				$(element).css("height", o.spanHeight+"px");	
			}
			
			$(element).hover(
			  function () {
				$(this).animate({
								"height": sUp}, 
								o.speedOver, o.easeHover
								);
				}
			);
			
			$(element).mouseout(
			  function () {
				$(this).addClass("buttonUnderline");
				$(this).animate({
								"height": o.spanHeight}, 
								o.speedOut, o.easeOut, function() 
								{$(this).removeClass("buttonUnderline");}
								);
				}
			);
			$(".buttonSelected a").unbind();
		});
	}
});