from django.conf.urls.defaults import patterns, include, url
from django.views.generic.simple import direct_to_template
from GalleryWebsite import settings
from GalleryWebsite.profiles.views import *
from django.contrib.auth.views import *
from GalleryWebsite.gallery.views import *

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
                       
    url(r'^accounts/', include('registration.backends.default.urls')),
    (r'^admin/', include(admin.site.urls)),
    (r'^profile/$',profile_detail),
    (r'^gallery/newalbum/$',gallery_newalbum),
    (r'^gallery/viewalbum/$',gallery_viewalbum),
    (r'^gallery/album/newimage/$',gallery_album_newimage),
    (r'^gallery/$',gallery_albums),
    (r'^profile/create/$',profile_create),
    (r'^test/$',test),
    (r'^profile/edit/$',profile_edit),
    (r'^profile/profilepicchange/$',profile_pic_change),
    (r'^$',profile_detail),
    (r'^mmedia/(?P<path>.*)$', 'django.views.static.serve',{'document_root':settings.MEDIA_ROOT}),
)
